/*

magic_elf - The ELF file format analyzer.

Copyright 2009-2012 - Michael Kohn (mike@mikekohn.net)
http://www.mikekohn.net/

This program falls under the BSD license. 

*/

#include "magic_elf_io.h"

unsigned int get_int16_be(elf_info_t *elf_info, long offset)
{
unsigned int i;

  i=GET_BIG_ENDIAN16(elf_info->buffer, offset);

  return i;
}

unsigned int get_int32_be(elf_info_t *elf_info, long offset)
{
unsigned int i;

  i=GET_BIG_ENDIAN32(elf_info->buffer, offset);

  return i;
}

unsigned long get_int64_be(elf_info_t *elf_info, long offset)
{
unsigned long i;

  i=GET_BIG_ENDIAN64(elf_info->buffer, offset);

  return i;
}

unsigned int get_int16_le(elf_info_t *elf_info, long offset)
{
unsigned int i;

  i=GET_LITTLE_ENDIAN16(elf_info->buffer, offset);

  return i;
}

unsigned int get_int32_le(elf_info_t *elf_info, long offset)
{
unsigned int i;

  i=GET_LITTLE_ENDIAN32(elf_info->buffer, offset);

  return i;
}

unsigned long get_int64_le(elf_info_t *elf_info, long offset)
{
unsigned long i;

  i=GET_LITTLE_ENDIAN64(elf_info->buffer, offset);

  return i;
}

unsigned int read_int16_be(elf_info_t *elf_info)
{
unsigned int i;

  i=GET_BIG_ENDIAN16(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=2;
  return i;
}

unsigned int read_int32_be(elf_info_t *elf_info)
{
unsigned int i;

  i=GET_BIG_ENDIAN32(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=4;
  return i;
}

unsigned long read_int64_be(elf_info_t *elf_info)
{
unsigned long i;

  i=GET_BIG_ENDIAN64(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=8;
  return i;
}

unsigned int read_int16_le(elf_info_t *elf_info)
{
unsigned int i;

  i=GET_LITTLE_ENDIAN16(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=2;
  return i;
}

unsigned int read_int32_le(elf_info_t *elf_info)
{
unsigned int i;

  i=GET_LITTLE_ENDIAN32(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=4;
  return i;
}

unsigned long read_int64_le(elf_info_t *elf_info)
{
unsigned long i;

  i=GET_LITTLE_ENDIAN64(elf_info->buffer, elf_info->file_ptr);

  elf_info->file_ptr+=8;
  return i;
}


